/*
 * 
 * Author: Roel Verdult
 * Based on code from: James P. Lynch[1]
 * License: no loyalty, no warranty
 *
 * Summary: Example implementation for OLIMEX MOD-N6610 in combination
 *          with the OLIMEX SAM7-Pxxx (P64/P256) development boards
 *
 * [1] Nokia 6100 LCD Display Driver (Revision 1), James P. Lynch, 2009
 * 
 */

#include <at91lib.h>
#include "lcd_driver/lcd_driver.h"

int main()
{
	// Initialize and configure the LCD
	lcd_init();

	// Print some useful info to the screen
  lcd_printf("Firmware compiled on:");
  lcd_printf("%s %s", __DATE__, __TIME__);
  lcd_printf(BOARD_NAME);
  lcd_printf("Speed: %d Hz",BOARD_MCK);

	// Demonstrate the debug-consolse "scrolling"
  lcd_printf("");
  lcd_printf("Hi,");
  lcd_printf("");
  lcd_printf("This example is not");
  lcd_printf("for playing movies,");
  lcd_printf("it tries to provide");
  lcd_printf("an easy debug feature");
  lcd_printf("This trace works");
  lcd_printf("standalone. It will");
  lcd_printf("scroll automatically");
  lcd_printf("when there is more");
  lcd_printf("text than the screen");
  lcd_printf("can handle. I hope ya");
  lcd_printf("find this console as");
  lcd_printf("useful as I do.");
  lcd_printf("");
  lcd_printf("Cheers,");
  lcd_printf("  Roel Verdult");
  lcd_printf("  roel@libnfc.org");
  lcd_printf("");
  
  // Let's help the global warming!
  while (1);
}

